Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.text
Class DelimitedTextSequencer

    java.lang.Object
      org.modeshape.jcr.api.sequencer.Sequencer
          org.modeshape.sequencer.text.AbstractTextSequencer
              org.modeshape.sequencer.text.DelimitedTextSequencer

    public class DelimitedTextSequencer

extends AbstractTextSequencer

An text sequencer implementation that uses a `regular-expression pattern` to split incoming rows into columns. By default, this class uses the pattern `","` to parse files on commas.

See Also:
  `AbstractTextSequencer`, `Pattern`

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.api.sequencer.Sequencer
`Sequencer.Context`

Constructor Summary
`DelimitedTextSequencer()`

Method Summary
`protected String[]` | `parseLine(String line)` Parse the given row into its constituent columns.
`void` | `setSplitPattern(String regularExpression)` Sets the regular expression to use to split incoming rows.

Methods inherited from class org.modeshape.sequencer.text.AbstractTextSequencer
`execute, getCommentMarker, getMaximumLinesToRead, getRowFactoryClassName, initialize, setCommentMarker, setMaximumLinesToRead, setRowFactoryClassName`

Methods inherited from class org.modeshape.jcr.api.sequencer.Sequencer
`getAcceptedMimeTypes, getLogger, getName, getPathExpressions, getRepositoryName, getUniqueId, hasAcceptedMimeTypes, isAccepted, registerDefaultMimeTypes, registerNamespace, registerNodeTypes, registerNodeTypes, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelimitedTextSequencer

    public DelimitedTextSequencer()

Method Detail

### setSplitPattern

    public void setSplitPattern(String regularExpression)
                         throws PatternSyntaxException

  Sets the regular expression to use to split incoming rows.

  Parameters:
    `regularExpression` - the regular expression to use to split incoming rows; may not be null.
  Throws:
    `PatternSyntaxException` - if `regularExpression` does not represent a valid regular expression that can be `compiled into a pattern`.

### parseLine

    protected String[] parseLine(String line)

  Description copied from class: `AbstractTextSequencer`
  Parse the given row into its constituent columns.

  Specified by:
    `parseLine` in class `AbstractTextSequencer`
  Parameters:
    `line` - the row to be parsed
  Returns:
    an array of columns; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.